Paiement ATOS par Sherlock

  • Posts: 21
  • Thank you received: 0
1 year 1 month ago #290330

-- HikaShop version -- : 3.3.0
-- Joomla version -- : 3.8.6
-- PHP version -- : 7.0

Bonjour,

Je rencontre un problème avec l'activation du paiement en ligne Sherlock via le module ATOS. Est-ce que quelqu'un l'a déjà installé ? Si oui est-ce que la V2 de l'API ATOS est gérée ? Pour le moment, j'essaye d'intégrer la V1 mais l'interface de sherlock ne me permet de télécharger que le certificat. Je n'ai donc pas les fichiers request et response.

Merci d'avance de votre aide.

Last edit: 1 year 1 month ago by pierick.

Please Log in or Create an account to join the conversation.

  • Posts: 65630
  • Thank you received: 9578
  • MODERATOR
1 year 1 month ago #290331

Bonjour,

HikaShop a deux plugins de paiement pré installés pour ATOS :
ATOS SIPS et ATOS SIPS V2
Donc les deux versions sont utilisables. La seule restriction, c'est qu'il faut utiliser le bon plugin pour l'interface que vous voulez utiliser.

Please Log in or Create an account to join the conversation.

  • Posts: 21
  • Thank you received: 0
1 year 1 month ago #290425

Merci pour votre réponse.

J'avais bien compris qu'il y avait 2 modules et que chacun 2 se referaient à une version de l'API mais je demandais justement si quelqu'un avait déjà intégré pour Sherlock à proprement parlé parce que je n'ai pas les infos demandées.

L'interface que j'ai semble pour pour la V1 (puisqu'elle me génère un certificat à télécharger) mais je n'ai pas les fichiers request et response.

Last edit: 1 year 1 month ago by pierick.

Please Log in or Create an account to join the conversation.

  • Posts: 65630
  • Thank you received: 9578
  • MODERATOR
1 year 1 month ago #290476

Bonjour,

Si vous avez un certificat alors c'est surement ATOS SIPS V1. Si vous n'avez les fichiers request et response, je vous recommande de contacter le support technique de votre banque qui pourra surement vous les fournir pour la plateforme de votre serveur (linux, windows, etc).

Please Log in or Create an account to join the conversation.

  • Posts: 2
  • Thank you received: 0
3 months 2 weeks ago #303366

Bonjour,

Est-ce que les fichiers Response et Request correspondent au API fourni par la banque ?
J'ai aussi effectivement des informations sur le pays (fr) et un certificats à télécharger. Donc je suppose que c'est la version 1 du plug-in ATOS SIPS

-> Concernant les fichiers Resquest et Response, pouvez-vous m'orienter sur quel sont les deux fichiers que je dois installer ? , voici la liste des API que j'ai sur mon compte :




-> Concernant le certificat, j'ai la possibilité de le télécharger en format :
.php
.asp
.aspx
.jsp
Classique


Je vous remercie d'avance pour votre réponse

Voici quelques 'informations système" :
HikaShop Starter: 4.0.2
PHP exécuté sur Linux milan.o2switch.net 3.10.0-962.3.2.lve1.5.24.8.el6h.x86_64 #1 SMP Fri Jan 4 08:30:19 EST 2019 x86_64
Type de la base de données mysql
Version de la base de données 10.0.38-MariaDB
Interclassement de la base de données utf8_general_ci
Collation de la connexion à la base de données utf8mb4_general_ci
Version de PHP 7.1.26
Serveur web Apache
Serveur web pour interface PHP litespeed
Version de Joomla Joomla! 3.9.2 Stable [ Amani ] 15-January-2019 15:00 GMT
Version de la plateforme Joomla! Joomla Platform 13.1.0 Stable [ Curiosity ] 24-Apr-2013 00:00 GMT

Please Log in or Create an account to join the conversation.

  • Posts: 65630
  • Thank you received: 9578
  • MODERATOR
3 months 1 week ago #303669

Bonjour,

C'est vraisemblablement le zip pour la version 617 pour le système d'epxloitation Linux64bits que vous voulez utiliser.
Pour le certificat je ne suis pas sûr de ce à quoi correspond "classique" mais je suppose que c'est cela que vous voulez.

Please Log in or Create an account to join the conversation.

Time to create page: 0.073 seconds
Powered by Kunena Forum